Summary: GNU groff text formatting package
Name: groff
Version: 1.11a
Release: 6
Copyright: GPL
Group: Applications/Publishing
Source0: ftp://prep.ai.mit.edu/pub/gnu/groff-1.11a.tar.gz
Source1: troff-to-ps.fpi
Patch:  groff-1.11-make.patch
Patch1: groff-1.11-safer.patch
Requires: mktemp
Buildroot: /var/tmp/groff-root
Obsoletes: groff-tools
Summary(de): GNU groff-Textformatierungspaket
Summary(fr): Paquetage de formatage de texte groff de GNU
Summary(tr): GNU groff metin biemleme paketi

%changelog
* Fri May 08 1998 Prospector System <bugs@redhat.com>

- translations modified for de, fr, tr

* Thu Apr 30 1998 Cristian Gafton <gafton@redhat.com>
- use g++ for C++ code

* Wed Apr 08 1998 Cristian Gafton <gafton@redhat.com>
- manhattan and buildroot

* Mon Nov  3 1997 Michael Fulbright <msf@redhat.com>
- made xdefaults file a config file

* Thu Oct 23 1997 Erik Troan <ewt@redhat.com>
- split perl components into separate subpackage

* Tue Oct 21 1997 Michael Fulbright <msf@redhat.com>
- updated to 1.11a
- added safe troff-to-ps.fpi

* Tue Oct 14 1997 Michael Fulbright <msf@redhat.com>
- removed troff-to-ps.fpi for security reasons.

* Fri Jun 13 1997 Erik Troan <ewt@redhat.com>
- built against glibc

%description
The groff text formatting system can be used to create professional
looking documents on both paper and a computer screen.  All the man
pages are processed with groff, so you'll need this package to read
man pages.

%package gxditview
Summary: GNU groff X previewer
Group: Applications/Publishing
Summary(de): GNU groff-X-Previewer
Summary(fr): Le visualiseur de fichier groff de GNU, sous X.
Summary(tr): GNU groff X grntleyici

%description gxditview
The package contains the gxditview program, which can be used to
format and view groff documents in X Windows.  For example, man
pages can be read using gxditview.

%description -l de gxditview
Das Paket enthlt das gxditview-Programm, das zum Formatieren und 
Anzeigen von groff-Dokumenten in X-Windows benutzt wird. So lassen 
sich beispielsweise auch die man-Seiten mit gxditview einsehen. 

%description -l de
Das Textformatiersystem groff wird zum Erstellen professioneller
Dokumente auf Papier und Bildschirm verwendet. Alle man-Seiten
werden mit groff verarbeitet. Das Paket wird zum Lesen von man-
Seiten bentigt.

%description -l fr gxditview
Ce paquetage contient le programme gxditview, qui peut servir 
formater et viusaliser les documents groff sous X Window. Les pages
peuvent, par exemple, tre lues avec gxditview.

%description -l fr
Le systme de formatage de texte groff peut tre utilis pour crer
des documents d'aspect professionnel sur papier et  l'cran. Toutes
les pages man sont traites avec groff, vous avez donc besoin de ce
paquetage pour les visualiser.

%description -l tr gxditview
Bu paket groff belgelerini grntleyip deitirmeye yarayan gxditview
programn ierir. rnein man sayfalar gxditview kullanlarak
okunabilir.

%description -l tr
groff metin biemleme sistemi kat veya bilgisayar ekran zerinde
profesyonel grnme sahip belgeler yaratmaya yarar. Btn klavuz (man)
sayfalar groff ile hazrlanmtr. man sayfalarn okuyabilmek iin groff
paketine gereksiniminiz olacaktr.

%prep
%setup -n groff-1.11
%patch -p1
%patch1 -p1

%build
PATH=$PATH:/usr/X11R6/bin
CXX='g++' CC='gcc' CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" LDFLAGS=-s ./configure --prefix=/usr
make
cd xditview
xmkmf
make

%install
rm -rf $RPM_BUILD_ROOT
PATH=$PATH:/usr/X11R6/bin
mkdir -p $RPM_BUILD_ROOT/usr
make install prefix=$RPM_BUILD_ROOT/usr
cd xditview
make DESTDIR=$RPM_BUILD_ROOT install install.man
strip $RPM_BUILD_ROOT/usr/bin/* || :

ln -s tmac.s	$RPM_BUILD_ROOT/usr/lib/groff/tmac/tmac.gs
ln -s tmac.mse $RPM_BUILD_ROOT/usr/lib/groff/tmac/tmac.gmse
ln -s tmac.m	$RPM_BUILD_ROOT/usr/lib/groff/tmac/tmac.gm
ln -s troff	$RPM_BUILD_ROOT/usr/bin/gtroff
ln -s tbl	$RPM_BUILD_ROOT/usr/bin/gtbl
ln -s pic	$RPM_BUILD_ROOT/usr/bin/gpic
ln -s eqn	$RPM_BUILD_ROOT/usr/bin/geqn
ln -s neqn	$RPM_BUILD_ROOT/usr/bin/gneqn
ln -s refer	$RPM_BUILD_ROOT/usr/bin/grefer
ln -s lookbib	$RPM_BUILD_ROOT/usr/bin/glookbib
ln -s indxbib	$RPM_BUILD_ROOT/usr/bin/gindxbib
ln -s soelim	$RPM_BUILD_ROOT/usr/bin/gsoelim
ln -s nroff	$RPM_BUILD_ROOT/usr/bin/gnroff
ln -s eqn.1	$RPM_BUILD_ROOT/usr/man/man1/geqn.1
ln -s indxbib.1 $RPM_BUILD_ROOT/usr/man/man1/gindxbib.1
ln -s lookbib.1 $RPM_BUILD_ROOT/usr/man/man1/glookbib.1
ln -s nroff.1 	$RPM_BUILD_ROOT/usr/man/man1/gnroff.1
ln -s pic.1 	$RPM_BUILD_ROOT/usr/man/man1/gpic.1
ln -s refer.1 	$RPM_BUILD_ROOT/usr/man/man1/grefer.1
ln -s soelim.1 $RPM_BUILD_ROOT/usr/man/man1/gsoelim.1
ln -s tbl.1 	$RPM_BUILD_ROOT/usr/man/man1/gtbl.1
ln -s troff.1 	$RPM_BUILD_ROOT/usr/man/man1/gtroff.1
mkdir -p $RPM_BUILD_ROOT/usr/lib/rhs/rhs-printfilters
install -m755 $RPM_SOURCE_DIR/troff-to-ps.fpi \
	$RPM_BUILD_ROOT/usr/lib/rhs/rhs-printfilters

%files
/usr/lib/groff
/usr/bin/*
/usr/man/*/*
/usr/lib/rhs/*/*

%files gxditview
/usr/X11R6/bin/gxditview
%config /usr/X11R6/lib/X11/app-defaults/GXditview
/usr/X11R6/man/man1/gxditview.1x

%clean
rm -rf $RPM_BUILD_ROOT
